Skip to main content
POST
Request an upload URL for a settlement proof of payment

Authorizations

Authorization
string
header
required

Enter Auth0 JWT token

Headers

Zuba-Account-Id
string<uuid>

Optional. Names an owned sub-account (UUID) to act as: an order made for any other account, the master included, returns 404 NO_SETTLEMENT. Omit to act for any order of the master (tenant) and its sub-accounts. The master's own account id acts as no header. Naming an account this key does not own returns 403 not_account_owner.

Path Parameters

id
string<uuid>
required

Order id

Body

application/json
contentLength
number
required

Size of the document in bytes

Example:

245000

contentType
enum<string>
required

MIME type of the payment confirmation (PDF, JPG or PNG)

Available options:
application/pdf,
image/jpeg,
image/png
Example:

"application/pdf"

Response

proofKey
string
required

Pass this key to the proof submission endpoint

Example:

"order-settlements/1c9e.../proof-8af2..."

uploadUrl
string
required

PUT the document to this URL (expires in a few minutes)